package inf119.interfaces;

import inf119.TerrainMap;
import inf119.gamelogic.Menu;

import java.io.FileNotFoundException;
import java.io.IOException;

public interface EnvironmentDataIntf {
	
	public void changePlanet(String fileName) throws FileNotFoundException, IOException;
	public double getGravity();
	public String getPlanetName();
	public String getPlanetPictureFileName();
	public double getRadius();
	public int getMapLength();
	public int getMapResolution();
	public int getMapWidth();
	public int getNumberOfLandingSites();
	public int getNumberOfObjects();
	public int getTextureID();
	public int[][] getObjects();
	public int[][] getLandingSites();
	public double[][] getMapHeights();
	public TerrainMap getTerrainMap();
	public void setMenu(Menu m);
	public Menu getMenu();

}
