package inf119.interfaces;

import java.awt.Font;
import javax.media.opengl.GLEventListener;
import inf119.LanderModel;
import inf119.LocOri;
import inf119.gamelogic.Menu;

public interface GraphicsIntf extends GLEventListener {
	
	public int getWidth();
	public int getHeight();
	public void setMap();
	public void setLanderModel(LanderModel lm);
	public void setLander(double[] position, double[] rotation);
	public void setCamera(LocOri cam);
	public void setMenu(Menu m);
	public void setThrusting(boolean thrust);
	public Font getFont();
	public void setLanderVelocity(double velocity);
	public void setLanderAltitude(double altitude);
	public void setLanderFuel(double fuelLevel);
	public void toggleCrashed();	

}
