package inf119.interfaces;

import java.io.FileNotFoundException;
import java.io.IOException;

public interface GameDataIntf {
	
	public void reloadGameData(String fileName) throws FileNotFoundException, IOException;
	public void setOption(int number, int value);
	public void setCurrentUserName(String name);
	public String getCurrentUserName();
	public String getHighScoreUserName(String level);
	public double getHighScore(String level);
	public boolean setHighScore(String level, double score);
	public void saveData() throws IOException;

}
