package inf119.interfaces;

import inf119.graphics.texture.Light;

import javax.media.opengl.GL;
import javax.media.opengl.glu.GLU;

import com.sun.opengl.util.GLUT;

public interface TextureIntf {
	
	public int getTexID(int id);
	public void init( GL gl, GLU glu );
	public void deleteAndDisable( GL gl );
	public void drawBackground( GL gl);
	public void drawSkyAndEarthBox( GL gl);
	public void drawTextureTrinangle
    ( GL gl, int textureNb, float posX,
	float R, float G, float B );
	public void draw3DHouseWithTexture( GL gl );
	public void drawSphereMap( GL gl, GLU glu, GLUT glut );
	public void drawTeapot( GL gl, GLU glu, GLUT glut, Light light);
	public void drawWall( GL gl, float width, float height );
	public void drawTunnel( GL gl, Light light);
	public void draw( GL gl, GLU glu, GLUT glut, Light light);

}
